Create Exclusion List Endpoint
curl --request POST \
--url https://api.sixtyfour.ai/search/exclusion-lists \
--header 'Content-Type: application/json' \
--data '
{
"name": "Existing customers",
"source": {
"id_column": "linkedin_url",
"resource_handle_id": "8f14e45f-...",
"type": "resource_handle"
}
}
'import requests
url = "https://api.sixtyfour.ai/search/exclusion-lists"
payload = {
"name": "Existing customers",
"source": {
"id_column": "linkedin_url",
"resource_handle_id": "8f14e45f-...",
"type": "resource_handle"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Existing customers',
source: {
id_column: 'linkedin_url',
resource_handle_id: '8f14e45f-...',
type: 'resource_handle'
}
})
};
fetch('https://api.sixtyfour.ai/search/exclusion-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>"
}{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
]
}{
"detail": "Internal server error"
}Search
Create Exclusion List Endpoint
Create an exclusion list (asynchronous materialization).
Lists are immutable in v1: to change one, create a new list and delete the old. Up to 20 active lists per organization (40 for organizations with extended exclusion limits).
POST
/
search
/
exclusion-lists
Create Exclusion List Endpoint
Headers
Body
application/json
Build the list from an uploaded CSV (see POST /storage/csv/upload).
- ResourceHandleSource
- InlineEntityIdsSource
- SearchIdSource
Show child attributes
Show child attributes
Required unless source.type is 'search_id' (defaults to a date-stamped name).
Required string length:
1 - 120Available options:
person, company Was this page helpful?